        subroutine SHOVAR
      include 'MODNAM.INC'
      include 'UNITS.INC'
        integer I,index,ITAB,J,K,L,N
        character*1 OUTPUT(64), LAST
      do 100 I = 1, 64
         OUTPUT(I) = ' '
100   continue
      ITAB = 0
      K = 0
      do 140 I = 1, NOMOD
         ITAB = ITAB+1
         index = (ITAB-1)*7+1
         N = MODLEN(I)
         if (ITAB.le.9) go to 120
         write (TTYOUT(MACHNO),5000) (OUTPUT(L),L=1,index)
5000     format (64A1)
         do 110 L = 1, 64
            OUTPUT(L) = ' '
110      continue
         ITAB = 1
120      continue
         index = (ITAB-1)*7+1
         do 130 J = 1, N
            K = K+1
            LAST = MODS(K)
            if (J.eq.N.and.LAST.eq.'G') go to 130
            index = index+1
            OUTPUT(index) = LAST
130      continue
140   continue
      if (index.gt.1) write (TTYOUT(MACHNO),5000) (OUTPUT(L),L=1,index)
      return
      end
